> ## Documentation Index
> Fetch the complete documentation index at: https://docs.symmetry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Link to Access E-Verify Settings

> Generate link to access e-verify settings



## OpenAPI

````yaml /i9/api-reference/i-9-api.yaml get /v1/employers/{employerId}/admins/{adminId}/everifySettings/generateEverifySettingsUri
openapi: 3.1.0
info:
  contact:
    name: Symmetry Software
    url: https://www.symmetry.com
  description: I-9 API Documentation
  license:
    name: Terms of service
    url: https://www.symmetry.com/terms
  title: I-9 API
  version: 1.69.13
servers:
  - url: https://api.symmetry.com/i9
security: []
tags:
  - description: >-
      Endpoints for managing custom app theming configurations for a specific
      employer
    name: Employer Custom App Theming
  - description: >-
      Endpoints for managing custom app theming configurations for all employers
      in the account
    name: Account Custom App Theming
paths:
  /v1/employers/{employerId}/admins/{adminId}/everifySettings/generateEverifySettingsUri:
    get:
      tags:
        - Admin
      summary: Generate Link to Access E-Verify Settings
      description: Generate link to access e-verify settings
      operationId: generateEverifySettingsToken
      parameters:
        - in: path
          name: employerId
          required: true
          schema:
            type: string
        - in: path
          name: adminId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                E-Verify Settings:
                  description: E-Verify Settings
                  summary: >-
                    E-Verify Settings response with navigation links provided
                    via HTTP headers
                  value:
                    token:
                      authenticateUri: >-
                        https://example-subdomain.example.com/sign_in_with_token?token=32890dadea85fd8438f2254e77dedc43
                      embeddedUri: >-
                        https://example-subdomain.example.com/admin/everify/accounts
              schema:
                $ref: '#/components/schemas/AdminTokenResponse'
          description: OK
        '400':
          description: Bad Request, make sure to use POST request
        '404':
          description: Resource not found
      security:
        - AuthenticationToken: []
components:
  schemas:
    AdminTokenResponse:
      description: Token response
      properties:
        token:
          $ref: '#/components/schemas/TokenInfo'
          description: Token information containing authentication and embedded URIs
      type: object
    TokenInfo:
      description: Token information containing authentication and embedded URIs
      properties:
        authenticateUri:
          description: >-
            URI to authenticate the user with a token. Navigate to this URL to
            sign in automatically.
          example: >-
            https://example-subdomain.workbright.com/sign_in_with_token?token=36eca554c8bd8200fb0cc2cebf204bdf
          type: string
        embeddedUri:
          description: URI for the embedded view or target page after authentication
          example: https://example-subdomain.workbright.com/everify/cases
          type: string
      type: object
  securitySchemes:
    AuthenticationToken:
      bearerFormat: JWT
      scheme: bearer
      type: http

````